@balbes150 LE images with Kodi-19 for S9xxx

    • Official Post

    I have a Tronsmart s89 that I'm desperate to get Libreelec 9 running on. I can't boot your image for the s812 just get the corrupt filesystem. I have booted Demetris' LibreELEC-MXIII_Plus.arm-9.0-devel-20190207022938-5e27f15.img, however the ethernet doesn't work.


    Any chance you might have some pointers?

    Update the multi-boot using the image.


    arm version no 64

    What model TV box and write in detail that does not work.

  • after i upgrade from Libreelec V 8.2.5 to V 9.0.1. I cant download new skins i am getting error like


    "the dependency on xbmc.gui version 5.12.0 could not be satisfied" what should i need to ? any solutions ?

  • Update the multi-boot using the image.

    How is that done? If you mean flash the aml_autoscript.zip I have done that but your image doesn't even try to boot. The S82 image from Demetris says the same file system corrupt message.

  • after i upgrade from Libreelec V 8.2.5 to V 9.0.1. I cant download new skins i am getting error like


    "the dependency on xbmc.gui version 5.12.0 could not be satisfied" what should i need to ? any solutions ?

    Did you do a clean install?

  • Installed and quickly tested latest 20190316 on VIM2 Pro, Results similar to earlier alpha releases, from typical usage perspective i.e. :-

    • LAN connection OK, No Wi-Fi
    • Live DVBT TV over local network using TVheadend Client, h264, 1920x1080 plays OK. (blue wait icon faint in centre of display)
    • Live TV via TVCatchup & iPlayer WWW streaming apps, immediate or after few seconds Video Freeze with Audio continuing. (blue wait icon faint in centre of display)
    • Playback of 4K files from local video folder. LG Chess 4K Demo completely lockups LibreELEC, Sony Bravia OLED 4K Demo Plays well
    • Known typical total Kodi graphics crash after short period of time (less than 30 mins)

    Fully appreciate not an early user release, but as mentioned previously can provide kodi logs/debug logs, when user feedback on these developing and improving builds becomes more useful.

    RPi4, (LibreELEC 11.0) hdmi0 -> Philips 55PUS7304 4K TV, hdmi1 -> Onkyo TX-SR608 AV Receiver

    Edited 3 times, last by MikeKL: Add hyperlinks to kodi video streaming addons ().

  • OK, understood.

    RPi4, (LibreELEC 11.0) hdmi0 -> Philips 55PUS7304 4K TV, hdmi1 -> Onkyo TX-SR608 AV Receiver

    • Official Post

    Update image 20190322

    For those who have 4K TV. Please check this LE option. I am interested in the operation of the interface in 4K mode. 4K video decoding does not work yet S905, i.e. 4K video does not work yet to s905. The other 1080 and 720 video options should work.


    Also a question to owners of the regular remote control for Odroid C2, to check its work (whether it works at all in this version image Odroid C2).


    For model Tronsmart Vega s95 works all hardware (WiFi, BT, sound, wired network, remote control).

    For those who have models based on s905, I recommend to try dtb files from Tronsmart Vega s95.


    my box is mecool m8s pro+ I see Green screen with subtitles and sound

    Write in detail what image, what dtb is used, what options of video you start.



    How is that done? If you mean flash the aml_autoscript.zip I have done that but your image doesn't even try to boot. The S82 image from Demetris says the same file system corrupt message.

    You will need to configure dtb on file "uEnv.ini"

  • Update image 20190322

    For those who have 4K TV. Please check this LE option. I am interested in the operation of the interface in 4K mode.

    Using LG 4K monitor, HDMI connected to KVIM2 Pro with image 20190322. Set System Display resolution in settings to 3840 x 2160 then rebooted to be sure settings saved etc. GUI confirms settings saved after reboot and as expected? GUI still looks like its output to display at 1920 x 1080, with Kodi Interface when moving around appearing to behave exactly same as when GUI display settings stored at 1920 x 1080

    RPi4, (LibreELEC 11.0) hdmi0 -> Philips 55PUS7304 4K TV, hdmi1 -> Onkyo TX-SR608 AV Receiver

    Edited once, last by MikeKL ().

    • Official Post

    Amlogic 'GX' SoC's support two video output planes; the Video (primary) plane and OSD (secondary) plane in a fixed z-order where the OSD plane used for the GUI sits behind (not in-front) the Video plane. Only the Video plane supports 4K resolution so in a multi-plane configuration the OSD (GUI) is always rendered at up-to-1080p even if the screen resolution is set to 4K ~ Kodi scales the up-to-1080p OSD plane to 4K and the HDMI driver blends the planes together for output. The kernel DRM driver is missing 10-bit output support at the moment, and since most 4K media is 10-bit HEVC it's rather hard to conduct meaningful 4K testing and there are bugs. Until 4K support moves forwards (current priorities are elsewhere in the codebase) it's best to set 1080p and leave 4K media alone.

    • Official Post

    The new version 20190324. Please S912 to check the operation of playback in the next version. After the start of the video playback, be sure to move the mouse, that would appear the bottom menu with a ruler of the playback time and the "stop" buttons . After that, after a few seconds, the menu is removed and at the end of the video playback, KODI should normally return to the file playlist. It also removes the "circle" from the center of the screen when playing.

  • balbes150 I quickly tested 20190324 with system display set at 3840 x 2160


    With live DVB-T TV streams on KVIM2 Pro "circle" is not a visible in centre of screen anymore.

    Notice thin Purple line running fully across bottom of video during playback.

    Sometimes noticed Video (primary) plane would not allow OSD (secondary) plane to be viewed, after stopping playback of video manually.

    (Requiring login remotely via ssh, to stop/start kodi) chewit thank you for explantion about support for two video output planes


    Also managed to get full crash and back to libreelec then kodi reboot kodi crashlog

    RPi4, (LibreELEC 11.0) hdmi0 -> Philips 55PUS7304 4K TV, hdmi1 -> Onkyo TX-SR608 AV Receiver

    • Official Post

    We expect behaviour in the latest S912 image to be slightly different as we switched from the ARM mali_kbase driver to the new (meaning new bugs) panfrost DRM in-kernel driver which has now reached broad parity with the ARM driver. Memory behaviour seems to be better. Overall stability seems to be about the same, i.e. there is still crashing but the crashes are different.

  • Hello,


    i recently installed the latest Balbes150 image on my Minix Neo U9-H from 17th December 2018 based on kernel 3.14.

    I used latest Rufus and burned it on a 32GB SD-Card. Libreelec is starting normally without any problems. I didn't change any settings in LE so far, so it's a fresh installation.


    But what i do have is problems installing Add-ons, that have dependencies. e.g. "Enigma2 client" or "Sky Go". I also tried to install any other Add-on without success. Following error occurs every time while installing and is also written to the log file:


    "the dependency kodi 1.0.14 could not be satisfied"


    I couldn't find any hint when using the forum search, so maybe someone could help!


    When i search the web, some ppl report, that they could solve the problem, after updating Kodi itself?!


    Did anyone encounter a similiar problem?

    Do i have to update Kodi? If yes, how can i do that?


    Sorry for the probable "noob question", but i'm stuck at a stage, where i haven't found a way to move on.


    Btw, i did re-install a few times, the error mentioned above still occurs.


    Many thanks in advance!

  • Try going into Settings-->Addons and then press the menu button and click on 'Check for updates' to update and install the base kodi addons. With brand new installs, I have to do this before I can install any addon.

  • Try going into Settings-->Addons and then press the menu button and click on 'Check for updates' to update and install the base kodi addons. With brand new installs, I have to do this before I can install any addon.

    I did that, but it only says no updates available.


    When i go to "Settings -> Version Info" it shows:


    Build: Kodi 18.0-BETA5 Git:18.0b5-Leia

    Compiled: Dec 18 2018


    Image file is LibreELEC-S912.arm-9.0-devel-20181218091149-83ec702.img.gz


    Maybe the Beta5-Build is the problem regarding the repositories?


    Thanks!

  • That's quite an old version there. I'm not sure of the S912 builds (I don't have one), and whether LibreELEC even supports the S912 any longer. I think balbes150 has experimental builds for S912 using a newer kernel 4.x, which is not yet as stable as 3.14. You could also try CoreELEC (they specifically support Amlogic chips such as S905(D,X) and S912 etc. You'd have to do a fresh install using rufus etc. You can get the download from here:- (CoreELEC). The S905* and S912 builds are now combined into a single generic image with CoreELEC,


    I'm currently running both CoreELEC and LibreELEC (CoreELEC for Amlogic S905X and LibreELEC for Rockchip RK3328) using Kodi 18.1.

    Both builds work really well.

    Cheers.

    Edited once, last by ukmark62 ().